Bug 1372895 - don't access network/load latest repo metadata when doing "list installed"
Summary: don't access network/load latest repo metadata when doing "list installed"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 24
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-03 11:06 UTC by Thomas Meyer
Modified: 2017-06-16 13:18 UTC (History)
5 users (show)

Fixed In Version: dnf-2.5.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-16 13:18:38 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Meyer 2016-09-03 11:06:46 UTC
Description of problem:
when doing "dnf list installed 'libinput*'", dnf tries to load the latest repo metadata from network.
This step should be skipped for "list installed" which should only rely on the rpm db for installed components.

Version-Release number of selected component (if applicable):
$ dnf --version
1.1.10
  Installiert: dnf-0:1.1.10-1.fc24.noarch am 2016-09-01 19:19
  Erstellt   : Fedora Project am 2016-08-18 14:39

  Installiert: rpm-0:4.13.0-0.rc1.27.fc24.x86_64 am 2016-06-22 06:05
  Erstellt   : Fedora Project am 2016-04-25 13:45

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Igor Gnatenko 2016-09-05 11:18:20 UTC
it's not possible to fix it easily, so low priority.

Meanwhile you can use "-C" parameter.

Comment 2 Jaroslav Mracek 2017-05-18 09:58:33 UTC
I created a pull-request that should solve the problem (https://github.com/rpm-software-management/dnf/pull/817)

Comment 3 Fedora Update System 2017-06-12 15:29:43 UTC
dnf-plugins-core-2.1.1-1.fc26 libdnf-0.9.1-1.fc26 dnf-2.5.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 4 Fedora Update System 2017-06-14 01:35:38 UTC
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 5 Fedora Update System 2017-06-14 05:33:38 UTC
dnf-2.5.1-1.fc26 dnf-plugins-core-2.1.1-1.fc26 dnfdaemon-0.3.18-3.fc26 libdnf-0.9.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 6 Fedora Update System 2017-06-15 13:55:48 UTC
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, dnfdaemon-0.3.18-3.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 7 Fedora Update System 2017-06-16 13:18:38 UTC
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, dnfdaemon-0.3.18-3.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.